summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorDan Mueth <dan@eazel.com>2001-03-12 08:20:35 +0000
committerDan Mueth <dmueth@src.gnome.org>2001-03-12 08:20:35 +0000
commit72d8e0ab83d16e5dedd323354fa37d9f52ca1b1e (patch)
tree3f06403942058c8d16aee5773b84368a7615f3fa /autogen.sh
parent93d84de72d66cfee121f3ea70f667141a75861bb (diff)
downloadgnome-user-docs-72d8e0ab83d16e5dedd323354fa37d9f52ca1b1e.tar.gz
gnome-user-docs-72d8e0ab83d16e5dedd323354fa37d9f52ca1b1e.tar.xz
gnome-user-docs-72d8e0ab83d16e5dedd323354fa37d9f52ca1b1e.zip
Setting up basics of build system. Still needs some tweaking.
2001-03-12 Dan Mueth <dan@eazel.com> Setting up basics of build system. Still needs some tweaking. * AUTHORS: * COPYING: * COPYING-DOCS: * Makefile.am: * autogen.sh: * configure.in: * gnome-user-docs.spec.in: * sgmldocs.make: * omf-install/Makefile.am: * introduction-to-gnome/Makefile.am: * introduction-to-gnome/C/Makefile.am: Removing these for now, until we can fix up the build to properly do PS docs. * introduction-to-gnome/C/figures/Makefile: * introduction-to-gnome/C/figures/gnome-logo-large.png: * introduction-to-gnome/C/figures/img2eps: Renaming gnome-intro... to introduction-to-gnome... Sasha wrote these docs. * introduction-to-gnome/C/gnome-intro-C.omf: * introduction-to-gnome/C/gnome-intro.sgml: * introduction-to-gnome/C/introduction-to-gnome-C.omf: * introduction-to-gnome/C/introduction-to-gnome.sgml:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..ec1d624
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="General GNOME User Documentation"
+
+(test -f $srcdir/introduction-to-gnome/C/introduction-to-gnome.sgml) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level gnome directory"
+ exit 1
+}
+
+. $srcdir/macros/autogen.sh